Subject: bug#8569: 24.0.50; overlay arrow

From: "Drew Adams" <[email-masked]>
Date: Fri, 15 Jul 2011 07:07:55 -0700

> I think changing this would be of little practical benefit,
> and would break third-party usages.  So I'm closing this report.

As I said, you can keep the old names as well (aliased) and just not advertise
them or use them anymore.  No third-party code would break in that case.

These misleading names are a source of confusion, especially for new users.
There is _zero_ reason that they should have `overlay' in the name.  I hear no
one saying that the names are anything other than misleading.

One thing important about Emacs is that you can pretty easily find functions,
variables, etc. related to a given object type by just using `apropos'.  Someone
looking for overlay stuff should not be finding these names.